%define upstream_name    Test-EOL
%define upstream_version 2.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check the correct line endings in your project
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module scans your project/distribution for any perl files (scripts,
modules, etc) for the presence of windows line endings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.20.0-2.mga9
+ Revision: 1813702
- Mageia 9 Mass Rebuild

* Wed Dec 09 2020 tv <tv> 2.20.0-1.mga8
+ Revision: 1654796
- update to 2.02

* Mon Dec 07 2020 tv <tv> 2.10.0-1.mga8
+ Revision: 1654082
- update to 2.01

* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1506243
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1286426
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 shlomif <shlomif> 2.0.0-1.mga7
+ Revision: 1128965
- update to 2.00

* Sun Jun 19 2016 pterjan <pterjan> 1.600.0-3.mga6
+ Revision: 1034281
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.600.0-2.mga6
+ Revision: 969059
- Mageia 6 Mass Rebuild

* Sat Aug 01 2015 sander85 <sander85> 1.600.0-1.mga6
+ Revision: 860352
- update to 1.6

* Wed Oct 15 2014 umeabot <umeabot> 1.500.0-6.mga5
+ Revision: 743346
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.500.0-5.mga5
+ Revision: 686429
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.500.0-4.mga4
+ Revision: 515193
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.500.0-3.mga3
+ Revision: 373479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.500.0-2.mga3
+ Revision: 295172
- force version update

* Mon Sep 17 2012 jquelin <jquelin> 1.500.0-1.mga3
+ Revision: 295066
- update to 1.5

* Wed Jul 04 2012 jquelin <jquelin> 1.300.0-1.mga3
+ Revision: 267506
- update to 1.3

* Wed Jan 25 2012 jquelin <jquelin> 1.100.0-1.mga2
+ Revision: 201045
- update to 1.1

* Thu Jan 05 2012 jquelin <jquelin> 1.0.0-1.mga2
+ Revision: 191283
- update to 1.0

* Fri Jan 21 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 28791
- mageia rebuild
- imported package perl-Test-EOL

